:root {
  font-family: "Mona Sans", "MonaSansFallback", -apple-system,
    BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif,
    "Apple Color Emoji", "Segoe UI Emoji", /* split */ Inter, system-ui, Avenir,
    Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;
  color: white;

  background-image: radial-gradient(circle at left, #a897ff 1%, #00c2ab 98%);
  /* background-image: radial-gradient(circle at left, #00c2ab 1%, #a897ff 100%); */
  /* background-image: radial-gradient(
    circle at left,
    #a897ff 1%,
    #00c2ab 45%,
    #00c2ab 55%,
    #a897ff 100%
  ); */

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

  /* global vars */
  --accent-green: #8fffda;
  --accent-purple: #bc8cff;
  --white-purple: #e5e0ff;
  --title-color: white;
  /* --title-color: #2b2b2b; */
}

body {
  max-width: 1280px;
  margin: 0 auto;
  padding: 1rem;
  text-align: center;
}

@media only screen and (min-width: 800px) {
  body {
    padding: 2rem;
  }
}

header {
  text-align: center;
  color: var(--title-text-color);
  margin-top: 13%;
  margin-bottom: 130px;
  text-align: center;
}

.text-shadow {
  /* text-shadow: rgba(0, 0, 0, 0.1) 0px 14px 28px,
    rgba(0, 0, 0, 0.1) 0px 10px 10px; */
  /* text-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px; */
  text-shadow: rgba(0, 0, 0, 0.5) 0px 1px 4px;
  /* text-shadow: rgba(255, 255, 255, 0.16) 0px 1px 4px; */
}

.typewriter {
  display: block;
  margin: auto;
  margin-bottom: 20px;
  background-color: rgba(3, 3, 3, 0.7); /* Gray color with 50% opacity */
  border-radius: 10px;
  border: 1px solid #484f58;
  box-shadow: rgba(100, 100, 111, 0.5) 0px 7px 29px 0px;
  max-width: 870px;
}
.typewriter h2 {
  font-family: monospace;
  /* font-weight: light; */
  font-weight: 100;
  letter-spacing: 0.09em;
  text-align: left;
  margin-left: 20px;
  margin-right: 20px;
}
.typewriter h2:after {
  content: "|";
  font-weight: bold;
  display: inline-block;
  margin-left: 2px;
  height: 25px;
  width: 4px;
  animation: cursor 1.1s step-end infinite;
  color: var(--title-text-color);
}
@keyframes cursor {
  0% {
    opacity: 1;
  }
  49% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}

.links {
  display: flex;
  justify-content: center;
  margin-top: 30px;
  gap: 30px;
  font-size: 40px;
  text-decoration: none;
}
.links a {
  color: var(--title-text-color);
}

.links a:hover {
  color: var(--white-purple);
}

.row {
  display: block;
  margin: auto;
  justify-content: space-around;
  max-width: 1242px;
  gap: 20px;
}

@media only screen and (min-width: 700px) {
  .row {
    display: flex;
  }
}

.dark-modal {
  margin-bottom: 40px;
  background-color: rgba(3, 3, 3, 0.7); /* Gray color with 50% opacity */
  padding: 20px;
  border-radius: 10px;
  border: 1px solid #484f58;
  box-shadow: rgba(100, 100, 111, 0.5) 0px 7px 29px 0px;
  max-width: 1200px;
}

.dates {
  color: grey;
  text-align: right;
  margin-top: -10px;
}

.color-gradient-text {
  background-image: linear-gradient(
    to right,
    var(--accent-green),
    rgb(191, 255, 0)
  );
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
}

.institution {
  margin-top: -5px;
}

.role {
  font-weight: bold;
  text-align: left;
  font-size: 19px;
}

.role-description {
  text-align: left;
}

li {
  margin-bottom: 20px;
}

.skills {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.skill {
  font-size: 15px;
  color: var(--accent-green);
  border: solid 1px var(--accent-green);
  border-radius: 20px;
  padding: 1px 12px 2px 12px;
}
